## org.apache.mahout.vectorizer.collocations.llr
Enum Gram.Type

    java.lang.Object
      java.lang.Enum<Gram.Type>
          org.apache.mahout.vectorizer.collocations.llr.Gram.Type

All Implemented Interfaces:
  Serializable, Comparable<Gram.Type>

Enclosing class:
  Gram

    public static enum Gram.Type

extends Enum<Gram.Type>

Enum Constant Summary
`HEAD`
`NGRAM`
`TAIL`
`UNIGRAM`

Method Summary
`String` `toString()`
`static Gram.Type` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Gram.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### HEAD

    public static final Gram.Type HEAD

### TAIL

    public static final Gram.Type TAIL

### UNIGRAM

    public static final Gram.Type UNIGRAM

### NGRAM

    public static final Gram.Type NGRAM

Method Detail

### values

    public static Gram.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Gram.Type c : Gram.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Gram.Type valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<Gram.Type>`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.